In order to stop the reverse engineering of script applications, a number of developers encode their code with tools such as ionCube PHP Encoder to make it human unreadable. The latter is valid for paid apps in particular, since anyone would be able to use and change the unencrypted code without paying the needed license fees. If you buy web software protected with ionCube PHP Encoder, you will be able to use it without a problem as long as a software instrument called ionCube Loader is present on the web hosting server. This loader makes it possible to execute encoded files and you'll often notice it among the prerequisites for a particular script app to be installed. As the encoded files are already precompiled, they are generally executed a lot quicker and this will improve the general speed of your website.
IonCube in Shared Hosting
If you obtain a Linux shared hosting from us, it'll be set up on our custom-made cloud platform where ionCube Loader is already installed, so you won't have any kind of problems to run any script application which requires the instrument so as to run appropriately. We also provide several different versions of PHP, therefore if you switch the version, you will have to activate ionCube again. Our platform remembers the changes you make, which means that when you go back to the earlier release of PHP which was active for your account, ionCube Loader will already be activated. The PHP version and the ionCube instrument can be operated from the PHP Configuration area of our Hepsia website hosting Control Panel. Every adjustment that you make takes literally just a mouse-click and it takes effect at once.
IonCube in Semi-dedicated Hosting
Since all the semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you shall be able to use any script app which requires this tool to function properly. With just a few clicks in your Hepsia web hosting Control Panel you will be able to activate or deactivate ionCube for the PHP version that's currently active for your account. Since we support several versions of PHP at the same time, you will have to do this each and every time you move to a new release, and when you revert back to a version that you've already used, our system will remember your choice and ionCube Loader will already be activated. In case you have multiple websites in the same account and they need different releases of PHP, you are able to set up a php.ini file in each domain folder and with a couple of lines of code you're able to define both the PHP release plus the status of ionCube no matter what is selected for the hosting account altogether.